Subject: [bug#40492] [PATCH] gnu: Add meshlab

From: Ekaitz Zarraga <[email-masked]>
Date: Sun, 10 May 2020 21:29:35 +0000

Hi,

> Not yet :(
>
> I'll try to get some free time these days but I've been busy.
> Is it possible to add it like it is with embedded libraries temporarily until we separate all of them?

I'm working on it. I managed to add some system provided libraries but I'm having issues with qhull and I'm trying to fix them upstream.

First step, I filed an issue in meshlab: https://github.com/cnr-isti-vclab/meshlab/issues/678

Second step will be to fix the issue.

Next I need to figure out what to do with the rest of the libraries. Should we package all of them? Some of them don't look interesting by themselves, maybe it's better to keep them bundled.

I also have a question:
Most of the libraries that are bundled in meshlab have very old versions (qhull's version is from 2003). How does Guix handle breaking changes in libraries?
If meshlab doesn't support newer libraries, what do we need to do?

I'll manage to correct qhull's issue and submit a new patch.

Thanks!